import { HttpErrorResponse } from '@angular/common/http';
export interface BrandCountry {
    brandCode: string;
    countryCode: string;
}
export declare class CountryConfig {
    orderGuid: string;
    collectionId: string;
    brand: {
        code: string;
        name: string;
    };
    country: {
        code: string;
        name: string;
    };
    isExpired: boolean;
    isAlreadyCollected: boolean;
    isSentSuccessfully: boolean;
    isNotFound: boolean;
    isServerError: boolean;
    fields: any;
    readonly resultType: ResultType;
    private _resType;
    static MapFromAny(res: any): CountryConfig;
    setResultType(): void;
}
export declare enum ResultType {
    notFound = 6,
    alreadyCollected = 5,
    expired = 4,
    serverError = 3,
    sentSuccessfully = 2,
    collectionReady = 1,
    none = 0,
}
export declare enum RuleGroupType {
    citizen = 1,
    noncitizen = 2,
}
export declare class ErrorDetails {
    errorCode: string;
    errorKey: string;
    errorMessage: string;
}
export declare class ApiError {
    statusCode: number;
    errorTypeCode: ErrorTypeCodeEnum;
    errors: ErrorDetails[];
    errorIdentifier: string;
    message: string;
    static FromHttpErrorResponse(arg0: HttpErrorResponse): ApiError;
    private static assignError(error);
}
export declare enum ErrorTypeCodeEnum {
    ValidationError = 1,
    BusinessError = 2,
    InternalError = 3,
}
