import { HttpClient, HttpErrorResponse } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/throw';
import { IdCollectionConfigService } from '../config/idcollection-confg.service';
import { BrandCountry, CountryConfig } from './api-models';
import { IdCollectionLoggerService } from '../config/idcollection-logger.service';
export declare class QuestionDataService {
    private http;
    private cf;
    private ls;
    private noCacheOptions;
    constructor(http: HttpClient, cf: IdCollectionConfigService, ls: IdCollectionLoggerService);
    sendCollectionWithOrderGuid(collectionData: any): Observable<any>;
    sendCollectionWithBrandCountry(data: {
        orderGuid: string;
        brandCode: string;
        countryCode: string;
        collectionFields: string;
    }): Observable<any>;
    getCollectionFieldsByOrdergGuid(orderGuid: string): Observable<string | CountryConfig>;
    getCollectionFieldsByBrandCountry(brandCountry: BrandCountry): Observable<string | CountryConfig>;
    getAllBrandConfiguration(): Observable<any>;
    handleError(httpErrorReponse: HttpErrorResponse): string | Observable<never>;
}
