import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { QuestionControlService } from './question/question-control.service';
import { QuestionDataService } from './api/api.service';
import { IdCollectionLoggerService } from './config/idcollection-logger.service';
import { IdCollectionConfigService } from './config/idcollection-confg.service';
import { CountryConfig, ResultType, BrandCountry } from './api/api-models';
import { Observable } from 'rxjs';
export declare class IdCollectionComponent {
    private qcs;
    private qs;
    private ls;
    private cs;
    private _form;
    private _collectionData;
    private _collectionFullData;
    private _isLoading;
    private _brandCountry;
    private _orderGuid;
    private _loadedByJson;
    private _rules;
    isRussian: boolean;
    resultType: typeof ResultType;
    readonly form: FormGroup;
    readonly collectionRules: any;
    readonly configutation: IdCollectionConfigService;
    readonly isLoading: boolean;
    readonly collectionData: CountryConfig;
    orderGuid: string;
    brandCountry: BrandCountry;
    acceptedGdprPolicy: boolean;
    showSubmitButton: boolean;
    showGdprButton: boolean;
    language: any;
    formRefreshed: EventEmitter<{}>;
    formChanged: EventEmitter<{}>;
    constructor(qcs: QuestionControlService, qs: QuestionDataService, ls: IdCollectionLoggerService, cs: IdCollectionConfigService);
    loadConfigByJson(json: string): void;
    loadConfigByOrder(orderGuid: string): void;
    loadConfigByBrandCountry(brandCountry: BrandCountry): void;
    submitIdCollectionClick(): void;
    submitIdCollection(newOrderGuid?: string): Observable<SendDataResult>;
    shouldCollect(brandCode: string, countryCode: string): boolean;
    clickedAcceptGdpr(): void;
    isRussianPassportChanged(value: boolean): void;
    private resetForm();
    private setupForm();
    private emitFormRefreshed();
    private emitFormChanged();
    private collectionRetrieveSuccess(res);
    private setcollectiondata(res);
    private collectionRetrieveError(error, orderGuid, brandCountry?);
    private sendDataUsingOrderId();
    private sendDataUsingBrandCountry(guid);
    private formatFormDates();
    private parseISOString(s);
    private isValidDate(date);
}
export declare class SendDataResult {
    success: boolean;
    message: string;
    error: any;
    result: any;
    collectionId: string;
}
